Subject: Re: bug#47996: Installer: mkfs.ext4 and mkfs.btrfs fail

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 17 Mar 2022 21:48:02 -0400

Hi,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> "W;P" <[email-masked]> skribis:
>
>> I was not successful at installing Guix onto a virtual machine. At the end
>> I get an error message. I believe it is some how related to the file
>> system. I tried first with btrfs twice, I did manual partitioning first,
>> but when it errored the first time, I figured I did it wrong, so I did
>> btrfs with automatic partition, with the same issue, so I tried again with
>> ext, and the issue persisted. Enclodes are screenshots of the error screen.
>> I was not successful at installing Guix onto a virtual machine. At the end I get an error message. I believe it is
>> some how related to the file system. I tried first with btrfs twice, I did manual partitioning first, but when it
>> errored the first time, I figured I did it wrong, so I did btrfs with automatic partition, with the same issue, so I
>> tried again with ext, and the issue persisted. Enclodes are screenshots of the error screen. 
>
> The screenshots show (although the backtrace is intimidating!) that the
> ‘mkfs.ext4’ and ‘mkfs.btrfs’ commands failed, although unfortunately we
> cannot see their error messages.
>
> Can you confirm that you used the 1.2.0 ISO image from
> <https://guix.gnu.org/en/download>?
>
> Could you explain how to reproduce the problem: how to launch the VM,
> how to attach a virtual disk, what size the disk is, etc.?

Closing, due to lack of information/reproducer.

Thanks for the report, and feel free to open a new one if you still
encounter such an issue with the 1.3.0 installer.

Thank you,

Maxim